.autodepend

!if $d(DEBUG)
CFLAGS = -mm -2 -v -M -WDE -D_DEBUG
LFLAGS = /M /s /v /Twd
LIBS = noehwm.lib cwm.lib import.lib
!else
CFLAGS = -mm -2 -O1 -WDE
LFLAGS = /Twd
LIBS = noehwm.lib cwm.lib import.lib
!endif

.c.obj:
   $(CC) $(CFLAGS) -c -o$(@R).obj $<

all: evmovdx.lib

evmovdx.lib: evmovdx.dll
   implib evmovdx.lib evmovdx.dll

evmovdx.dll: evmovdx.obj ..\..\..\evmov3.obj evmovdx.def evmovdx.res
   tlink $(LFLAGS) @&&|
c0dm.obj+
evmovdx.obj+
..\..\..\evmov3.obj
evmovdx.dll
evmovdx.map
$(LIBS)
evmovdx.def
|
   brc -t -31 evmovdx.res evmovdx.dll

evmovdx.obj: $(@R).c

evmovdx.res: evmovdx.rc
   brc -r evmovdx.rc
